--- title: "getCloudMssqlLogFileList" slug: "database-vmssql-getcloudmssqllogfilelist" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmssql-getcloudmssqllogfilelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMssqlLogFileList Available in VPC Get the list of Cloud DB for MSSQL log files available. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vmssql/v2/getCloudMssqlLogFileList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) request headers](/docs/en/database-vmssql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MSSQL instance to view - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudMssqlInstanceNo` | String | Required | Cloud DB for MSSQL instance number - See [getCloudMssqlInstanceList](/docs/en/database-vmssql-getcloudmssqlinstancelist) | | `cloudMssqlServerInstanceNo` | String | Required | Cloud DB for MSSQL server instance number - See [getCloudMssqlInstanceList](/docs/en/database-vmssql-getcloudmssqlinstancelist) | | `fileType` | String | Required | Log file type - `errorLog` \| `agentLog` \| `traceLog` \| `auditLog` \| `xeBaselineLog` | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/getCloudMssqlLogFileList ?regionCode=KR &cloudMssqlInstanceNo=2522**** &cloudMssqlServerInstanceNo=2528**** &fileType=agentLog &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [CloudMssqlLogFileList](/docs/en/common-vapidatatype-cloudmssqllogfilelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) response status codes](/docs/en/database-vmssql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "getCloudMssqlLogFileListResponse": { "totalRows": 4, "cloudMssqlLogFileList": [ { "fileName": "SQLAGENT.OUT", "fileSize": 3164, "fileDate": "2024-07-01T14:58:13+0900" }, { "fileName": "SQLAGENT.1", "fileSize": 4428, "fileDate": "2024-07-01T14:58:06+0900" }, { "fileName": "SQLAGENT.2", "fileSize": 4172, "fileDate": "2024-07-01T14:56:23+0900" }, { "fileName": "SQLAGENT.3", "fileSize": 4312, "fileDate": "2024-07-01T14:54:11+0900" } ], "requestId": "dd99ccc0-****-****-****-f002e46ceb43", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` dd99ccc0-****-****-****-f002e46ceb43 0 success 4 SQLAGENT.OUT 3164 2024-07-01T14:58:13+0900 SQLAGENT.1 4428 2024-07-01T14:58:06+0900 SQLAGENT.2 4172 2024-07-01T14:56:23+0900 SQLAGENT.3 4312 2024-07-01T14:54:11+0900 ```